Upgrading to version 8.5.1 results in a "CRIMA1070E or CRIMC1037E" error

Technote (troubleshooting)


Problem(Abstract)

When you upgrade IBM Rational Application Developer for WebSphere or IBM Rational Software Architect for WebSphere to version 8.5 to 8.5.1, you get the "MessageID: CRIMA1070E or CRIMC1037E" error message.

Symptom

Upgrade your Rational Application Developer or Rational Software Architect for WebSphere to version 8.5.1 and the following error message appears in the log file:



    MessageID:CRIMA1070E or CRIMC1037E
    In installation context "com.ibm.sdp.eclipse.ide":
    Component "com.ibm.etools.aries.v362.feature" required by component "com.ibm.ws.st.tools" is not in the current feature selection.



Cause

The feature com.ibm.etools.aries.v362.feature refers to the OSGI Application component.

The error means that the required OSGI Application feature is not currently installed in the package group where Rational Application Developer for WebSphere (or Rational Software Architect for WebSphere) version 8.5 was installed.


Resolving the problem

WORKAROUND

  1. Select Modify >Installed Extension for SOA and WebSphere > Enterprise developer tools > OSGI Application with IBM Installation Manager in order to modify the existing installation of Rational Application Developer for WebSphere (or Rational Software Architect for WebSphere) version 8.5, so that the OSGI application feature is included

  2. Install the Rational Application Developer for WebSphere (or Rational Software Architect for WebSphere) version 8.5.1 update again

Cross reference information
Segment Product Component Platform Version Edition
Software Development Rational Software Architect for WebSphere Software Installation Linux, Windows 8.5.1

Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Application Developer for WebSphere Software
Installation

Software version:

8.5.1

Operating system(s):

Linux, Windows

Reference #:

1620402

Modified date:

2013-06-14

Translate my page

Machine Translation

Content navigation